% Calcpeak - Taylor Trottier - Jan 2018
%function finds peak then calculates fwhm and uses fwhm to calculate
%standard deviation and then collects all data larger than 2sigma and sums
%it to give a count range


function calcpeak
%Gets all files that have had the background removed
files = dir('0_*.csv');
%write to excel file with row labels
xlswrite('peaks.xlsx',["Sample","Peak","FWHM","STD","2StdSum"],1,"A1")

    for i = 1:numel(files)
        %get file name
       fname=files(i).name;
       %get data
       data = csvread(fname);
       %split data for readability
       energy = data(50:end,1);
       measurements= data(50:end,2);
       
       %get the index and value of the max measurements
       [maxVal,index]=max(measurements);
       %find fwhm (boolean vector for values above fwhm)
       above = measurements >= maxVal/2;
       %gets upper and lower indexes by finding the first and last values
       %that go above and below fwhm
       lowerIndex = find(above,1);
       upperIndex = find(above,1,'last');
       
       %calculates the fwhm d-energy
       fwhm = energy(upperIndex) - energy(lowerIndex);
       
       %using the gaussian relation between FWHM and StdDeviation
       sigma = fwhm/(2*sqrt(2*log(2)));  
       centerIndex = find(measurements==max(measurements),1); %Find index of center
       minEnergy = energy(centerIndex) - 2*sigma;
       maxEnergy = energy(centerIndex) + 2*sigma;
       %range of two std and then sums the values in that range
       rtwosig = (energy>=minEnergy);
       rtwosig = energy<=maxEnergy;
       
       %actual sum of the region in the range of two standard deviations
       twosig = sum(measurements(rtwosig));
       %writes to file and displays the sum and 
       disp(fname);
       disp(twosig);
       xlswrite('peaks.xlsx',[string(fname(3:end-4)),energy(index),fwhm,sigma,twosig],1,strcat('A',int2str(i+1)));
    end
    
end