%Find Cumulative Distribution Function - Taylor Trottier - Feb 2018
%Also Find Exponential; Distribution and use it to calculate 50% 75% and 99%
%case

function expfit
    cdffig=figure;
    %read peaks to extract the normalized cps
    ncps = sort(xlsread('peaks.xlsx','F2:F9'));
        
    %size of dataset for calculation of step
    n=size(ncps,1);
    
    %calculate the step value for the CDF
    % p_plot is the probability step for plotting
    p_plot = ((1:n))' ./ n;
    
    %plot step function of probability
    p1=stairs([0;ncps;10],[0;p_plot;1],'k-');
    xlim([0,6]);
    hold on;
    title('Cumulative Probability Distribution of Fecal Data');
    xlabel('CPS/g');
    ylabel('Cum. Prob. (x)');
    
    %actual p we need to subtract a half to have our fit hit the center of
    %the step instead of the tops
    p = ((1:n)-0.5)'./n;
    
    %fitting the results to 1-e^(-lambda*x) which should give us a fit to
    %the cumulative probability and returns lambda
    fitResult = fit(ncps,p,fittype('1-exp(-lambda*x)'),'StartPoint',1.2);
    lambda = fitResult.lambda;
    
    %define the plot for the exponential cdf
    p2=plot ((0:0.05:6),1-exp(-lambda*(0:0.05:6)));
    
    %creates the legend p1 is stair p2 is fit location is set to avoid
    %graph conflict
    legend([p1,p2],'CDF', ['Exponential Fit:' num2str(lambda)],'Location','southeast');
    %saves and closes the image
    saveas(cdffig,'CDF.jpg');
    close(cdffig);
    
    
    %To Do; Create PDF Figure as well
%     pdffig = figure;
%     
%     epdf = exppdf(ncps,lambda);
%     x = 0:.1:6;
%     plot(ncps,epdf);
%     title("Exponential Probability Distribution Function")
%     xlabel('CPS/g');
%     ylabel('P(x)');
    
end
