%Makegraph - Taylor Trottier - Jan 2018
%creates a graph for every sample that has had its background removed

function makegraph
    %collect list of all csv files in folder
    files = dir('0_*.csv');
    %for all files with bg removed
    for i = 1:numel(files)
        %open new figure
        figures=figure;     
        %get file name
        fname=files(i).name;
        %read in data
        data = csvread(fname);
        %plot data above ~50kev as data below this is unreliable
        plot(data(50:end,1),data(50:end,2),'LineWidth',2,'Color','Black');
        %creates a title from the filename
        title(fname(3:end-4));
        %labels the axes
        xlabel('Energy (keV)');
        ylabel('Counts (CPS)');
        %prints to the console so I know its Running
        disp((fname(3:end-4)));
        saveas(figures,strcat(fname(1:end-4),'.jpg'));
        close(figures);
         
    end
end